Name:           gchempaint
Version:        0.8.7
Release:        2%{?dist}
Summary:        A 2D chemical formulae drawing tool

Group:          Applications/Engineering
License:        GPLv2+ and LGPLv2+
# Everything is GPLv2+, except libgcpcanvas, which is LGPLv2+
URL:            http://www.nongnu.org/gchempaint/
Source0:        http://download.savannah.nongnu.org/releases/gchempaint/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  desktop-file-utils
BuildRequires:  gettext
BuildRequires:  gnome-chemistry-utils-devel
BuildRequires:  gnome-doc-utils
BuildRequires:  intltool
BuildRequires:  kdelibs3
BuildRequires:  libbonoboui-devel
BuildRequires:  libtool
BuildRequires:  perl(XML::Parser)
BuildRequires:  scrollkeeper

Requires:       hicolor-icon-theme

Requires(pre):  GConf2
Requires(post): GConf2
Requires(preun): GConf2

Requires(post): scrollkeeper
Requires(postun): scrollkeeper

Obsoletes:      gchempaint-devel

%description
GChemPaint is a 2D chemical structures editor for the Gnome-2 desktop.
GChemPaint is a multi document application and is a bonobo server so that some
chemistry can be embedded in other Gnome applications.


%prep
%setup -q

%build
aclocal
autoconf
%configure --disable-update-databases \
           --disable-schemas-install \
           --disable-scrollkeeper
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make INSTALL="install -p" install DESTDIR=$RPM_BUILD_ROOT
desktop-file-install --vendor=fedora \
       --delete-original --dir $RPM_BUILD_ROOT%{_datadir}/applications \
       $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop
%find_lang %{name}

#kill libtool archives
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'


%clean
rm -rf $RPM_BUILD_ROOT


%pre
if [ "$1" -gt 1 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
      %{_sysconfdir}/gconf/schemas/{gchempaint,gchempaint-arrows}.schemas >/dev/null || :
    # If the schema file has ever been renamed::
    #gconftool-2 --makefile-uninstall-rule \
    #  %{_sysconfdir}/gconf/schemas/[OLDNAME].schemas > /dev/null || :
fi


%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule \
  %{_sysconfdir}/gconf/schemas/{gchempaint,gchempaint-arrows}.schemas > /dev/null || :
update-desktop-database &> /dev/null ||:
update-mime-database %{_datadir}/mime &> /dev/null || :
scrollkeeper-update -q -o %{_datadir}/omf/%{name} || :
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi
/sbin/ldconfig


%preun
if [ "$1" -eq 0 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
      %{_sysconfdir}/gconf/schemas/{gchempaint,gchempaint-arrows}.schemas > /dev/null || :
fi


%postun
update-desktop-database &> /dev/null ||:
update-mime-database %{_datadir}/mime &> /dev/null || :
scrollkeeper-update -q || :
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi
/sbin/ldconfig


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING COPYING-DOCS INSTALL NEWS README TODO
%{_sysconfdir}/gconf/schemas/gchempaint.schemas
%{_sysconfdir}/gconf/schemas/gchempaint-arrows.schemas
%{_bindir}/gchempaint
%{_libdir}/gchempaint
%{_libdir}/libgchempaint-%{version}.so
%{_libdir}/libgchempaint.so
%{_libdir}/libgcpcanvas-%{version}.so
%{_libdir}/libgcpcanvas.so
%{_libdir}/goffice/0.4.3/plugins/gchempaint
%{_datadir}/applications/fedora-gchempaint.desktop
%{_datadir}/gchempaint
%{_datadir}/gnome/help/gchempaint
%{_datadir}/icons/hicolor/*/apps/gchempaint.png
%{_datadir}/icons/hicolor/*/mimetypes/gnome-mime-application-x-gchempaint.png
%{_datadir}/mime/packages/gchempaint.xml
%{_datadir}/mimelnk
%{_datadir}/omf/gchempaint


%changelog
* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.8.7-2
- Autorebuild for GCC 4.3

* Sat Feb  9 2008 Julian Sikorski <belegdol[at]gmail[dot]com> - 0.8.7-1
- Updated to 0.8.7
- Worked around rpath killer breakage introduced by Debian aclocal

* Sat Jan 26 2008 Julian Sikorski <belegdol[at]gmail[dot]com> - 0.8.6-1
- Updated to 0.8.6
- Dropped upstreamed patches

* Tue Jan  8 2008 Julian Sikorski <belegdol[at]gmail[dot]com> - 0.8.5-2
- Fixed Savannah bug #21964 - atoms and bonds are not correctly updated

* Fri Dec 21 2007 Julian Sikorski <belegdol[at]gmail[dot]com> - 0.8.5-1
- Updated to 0.8.5
- Cleaned up the spec
- Switched back to usual rpath killer

* Tue Oct 30 2007 Julian Sikorski <belegdol[at]gmail[dot]com> - 0.8.4-1
- Updated to 0.8.4

* Sun Aug 26 2007 Julian Sikorski <belegdol[at]gmail[dot]com> - 0.8.3-1
- Updated to 0.8.3
- Dropped upstreamed patches
- Made the License tag more precise
- Changed the way rpaths are dealt with, previous one was breaking the build

* Sun Aug 26 2007 Julian Sikorski <belegdol[at]gmail[dot]com> - 0.8.2-3
- Adjusted License tag as per latest guidelines

* Mon Aug  6 2007 Julian Sikorski <belegdol[at]gmail[dot]com> - 0.8.2-2
- Adjusted for new goffice
- Delete the goffice plugin libtool archive as well

* Sun Jul 29 2007 Julian Sikorski <belegdol[at]gmail[dot]com> - 0.8.2-1
- Updated to 0.8.2
- Merged the useless -devel package with the main one
- Fixed bogus theme dir

* Fri Jun 29 2007 Julian Sikorski <belegdol[at]gmail[dot]com> - 0.8.1-1
- Updated to 0.8.1
- Dropped upstreamed patches

* Sun May 27 2007 Julian Sikorski <belegdol[at]gmail[dot]com> - 0.8.0-2
- Added patch fixing two variable cycle tool issues (Savannah #19932 and #19933)

* Sun May 20 2007 Julian Sikorski <belegdol[at]gmail[dot]com> - 0.8.0-1
- Updated to 0.8.0

* Thu May 10 2007 Julian Sikorski <belegdol[at]gmail[dot]com> - 0.7.96-1
- Updated to 0.7.96

* Wed May  9 2007 Julian Sikorski <belegdol[at]gmail[dot]com> - 0.7.95-1
- Updated to 0.7.95

* Sat Apr 21 2007 Julian Sikorski <belegdol[at]gmail[dot]com> - 0.7.91-1
- Updated to 0.7.91

* Mon Apr  9 2007 Julian Sikorski <belegdol[at]gmail[dot]com> - 0.6.9-1
- Updated to 0.6.9
- Switched to bzip2 sources
- Added rpath killer

* Fri Dec 22 2006 Julian Sikorski <belegdol[at]gmail[dot]com> - 0.6.8-1
- Updated to 0.6.8
- Removed temporary KDE mimelnk workaround

* Thu Dec 21 2006 Julian Sikorski <belegdol[at]gmail[dot]com> - 0.6.7-1
- Updated to 0.6.7
- Dropped upstreamed patches
- Added temporary KDE mimelnk workaround

* Fri Dec 08 2006 Julian Sikorski <belegdol[at]gmail[dot]com> - 0.6.6-5
- Added upstream patch #18159, fixing AMD64 startup crash
- Disabled -devel package until undefined non-weak symbols issue is fixed
- Added hicolor-icon-theme to Requires

* Wed Dec 06 2006 Julian Sikorski <belegdol[at]gmail[dot]com> - 0.6.6-4
- Fixed %%changelog section
- Fixed directory ownership
- Removed pkgconfig from -devel package Requires

* Sun Dec 03 2006 Julian Sikorski <belegdol[at]gmail[dot]com> - 0.6.6-3
- Removed --add-category X-Fedora from desktop-file-install command
- Added some wildcards to make %%files section shorter

* Sun Dec 03 2006 Julian Sikorski <belegdol[at]gmail[dot]com> - 0.6.6-2
- Removed packages pulled by gnome-chemistry-utils-devel from BuildRequires
- Install desktop files using desktop-file-install
- Fixed Requires for -devel package
- Preserve timestamps

* Sat Dec 02 2006 Julian Sikorski <belegdol[at]gmail[dot]com> - 0.6.6-1
- Initial RPM release
